Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

N1KV VEM installation, Compatible VIB not found on VSM

Hello all,

I have an issue with the installation of the VEM. The VSM installation went fine and it can communicate with vCenter.

Below you have some information that you may find useful.

vSphere 5.1.0 (Trial)

Nexus 1000v - 4.2.1.SV1(5.2b) (Evaluation)

The configuration is pretty simple, 1 server with vCenter + 2 servers with ESXi 5.1.0

I  did attempt to install VEM with the graphical java interface and it  creates a longer log which ends with the following details (I assume  this is important)

Jan 02, 2013 6:36:49 PM com.cisco.n1kv.installer.wizard.VemSummaryPage$LoadData start

INFO: File locationhttp://172.31.82.36/cisco/CISCO-VEM500-4.2.1.1.5.2b.0-3.0.1-metadata.zip

Jan 02, 2013 6:36:49 PM com.cisco.n1kv.installer.wizard.VemSummaryPage$LoadData start

INFO: vib20/cisco-vem-v147-esx/Cisco_bootbank_cisco-vem-v147-esx_4.2.1.1.5.2b.0-3.0.1.vib

Jan 02, 2013 6:36:49 PM com.cisco.n1kv.installer.VCHelper checkConnection

INFO: VC Session checked: active

Jan 02, 2013 6:36:50 PM com.cisco.n1kv.installer.VCHelper patchHost

INFO: Vib NOT installed, continue with installation

Jan 02, 2013 6:36:53 PM com.cisco.n1kv.installer.VCHelper patchHost

SEVERE: Compatible vib not found on VSM

Jan 02, 2013 6:36:53 PM com.cisco.n1kv.installer.VCHelper patchHost

SEVERE: Installing VEM...failed

Jan 02, 2013 6:36:53 PM com.cisco.n1kv.installer.wizard.VemSummaryPage$LoadData start

INFO: Deleting VEM files from tmp directory ...

Now,  that error let me understand that either the installation wizard cannot  get / download the vib or that the vib is there but not compatible  (with what?). First part, how it cannot download the vib if I have  connectivity?! Second, if there is something not compatible, then it  should be listed here:

http://www.cisco.com/en/US/docs/switches/datacenter/nexus1000/sw/4_2_1_s_v_1_5_2_b/compatibility/information/n1000v_compatibility.html which is not.

If I use the 4.2.1.SV2.x.x everything works fine, but I don't want SV2 as apparently the HA feature is mandatory and for my small learning lab this is not important.

I'm a litle bit lost. Any suggestions will be appreciated.

Thank you!

Cheers,

Calin

Everyone's tags (6)
2 REPLIES
Cisco Employee

Re: N1KV VEM installation, Compatible VIB not found on VSM

Hi Calin,

The VIB file required for the VEM is pulled from the VSM. The VIB file required for ESXi 5.1 is missing from the 4.2(1)SV1(5.2b) VSM. You can check it by doing a http://:

So you need to use the correct VIB file that's present in the software bundle, that you downloaded for 4.2(1)SV1(5.2b), and install it manually. Your file is /VEM/cross_cisco-vem-v147-4.2.1.1.5.2b.0-3.1.1.vib in the bundle.

Go to the CLI of the ESX host and install the VIB manually using 'esxcli software vib install -v / : http://www.cisco.com/en/US/docs/switches/datacenter/nexus1000/sw/4_2_1_s_v_1_5_2_b/b_Installation_and_Upgrade_Guide_Release_4_2_1SV1_5_2_b_chapter_010.html#task_14C456AF908245BDA149E1D7138CEAE8

The missing VIB file issue is documented by defect CSCue06259.

Thanks,

Shankar

N1KV VEM installation, Compatible VIB not found on VSM

Thanks Shankar!

Your advice did solve my problem

Cheers,

Calin

1196
Views
5
Helpful
2
Replies
CreatePlease login to create content